Skip to main content
POST
Send an invoice
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

client_id
string
required

Unique ID of the client for which you want to retrieve or update details. Refer to Getting the Client ID section for detailed instructions.

invoice_id
string
required

The invoice's number as printed on the document, its identifier, or its ID.

Body

application/json
recipient_ids
string<uuid>[]

IDs of the client's recipients to email. Defaults to every current recipient of the client. Refer to Getting the Recipient ID section for detailed instructions.

Example:
subject
string

Email subject. Defaults to the organization's standard subject.

Example:

"Invoice INV-2026-042 from Your Company"

message
string

Email body. Defaults to the organization's standard message, which includes the total with its currency.

Example:

"Please find attached your invoice for the services rendered."

attach_pdf_invoice
boolean
default:false

Whether to attach the invoice PDF.

Example:

true

send_me_a_copy
boolean
default:false

Whether to also send a copy to the acting user.

Example:

false

email
string<email>

Email of the acting user. Required when you authenticate with an API key.

Example:

"oliver@example.com"

Response

OK - Invoice emailed

message
string
Example:

"Invoice 'INV-2026-042' emailed to billing@acme.example.com and ap@acme.example.com."

id
string<uuid>
number
string
Example:

"INV-2026-042"

sent_date
string<date>
Example:

"2026-10-15"

recipient_emails
string<email>[]
Example: